List modifier groups
curl --request GET \
--url https://server.chataigne.ai/v1/locations/{location_id}/catalogs/{catalog_id}/modifier_groups \
--header 'x-api-key: <api-key>'import requests
url = "https://server.chataigne.ai/v1/locations/{location_id}/catalogs/{catalog_id}/modifier_groups"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://server.chataigne.ai/v1/locations/{location_id}/catalogs/{catalog_id}/modifier_groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "sauces",
"name": "Choose a sauce",
"modifiers": [
{
"id": "bacon",
"name": "Bacon",
"price": {
"amount": 12.9,
"currency": "EUR"
},
"disabled": false,
"out_of_stock": false,
"restrictions": [],
"price_overrides": [],
"object": "modifier",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"image_url": "<string>"
}
],
"object": "modifier_group",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"min_selections": 0,
"max_selections": 1
}
],
"has_more": true,
"url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}Catalog modifiers
List modifier groups
GET
/
v1
/
locations
/
{location_id}
/
catalogs
/
{catalog_id}
/
modifier_groups
List modifier groups
Authorizations
Location/organization API key.
Query Parameters
Page size (1–100).
Required range:
1 <= x <= 100Cursor: return results after this id.
Cursor: return results before this id.